package com.liquidnet.service.adam.constant;

public class AdamEnum {
    /**
     * 第三方平台应用类型
     * 用户第三方账号登录注册，适用于同一平台多个应用服务，例如微信的公众号、小程序等
     */
    public enum OpenType {
        WXS01("WECHAT", "正在现场公众号"),
        WXS02("WECHAT", "MDSK公众号"),
        WXM01("WECHAT", "正在现场移动应用"),
        WXA01("WECHAT", "正在现场小程序"),
        WXA02("WECHAT", "草莓音乐节小程序"),
        WXA03("WECHAT", "MDSK音乐节"),
        ;

        private final String platform;
        private final String desc;

        OpenType(String platform, String desc) {
            this.platform = platform;
            this.desc = desc;
        }

        public String getPlatform() {
            return platform;
        }

        public String getDesc() {
            return desc;
        }
    }
}
