package com.liquidnet.service.adam.dto.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.liquidnet.commons.lang.util.DateUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel(value = "ThirdPartInfoVo", description = "用户第三方信息")
public class AdamThirdPartInfoVo implements java.io.Serializable, Cloneable {
    private static final long serialVersionUID = -3239086191919676121L;
    @ApiModelProperty(position = 11, value = "用户ID[64]")
    private String uid;
    @ApiModelProperty(position = 12, value = "第三方平台账号唯一标识ID[64]")
    private String openId;
    @ApiModelProperty(position = 13, value = "昵称[64]")
    private String nickname;
    @ApiModelProperty(position = 14, value = "头像[255]")
    private String avatar;
    @ApiModelProperty(position = 15, value = "平台类型[20]")
    private String platform;
    @ApiModelProperty(position = 16, value = "状态[1-绑定,2-解绑]")
    private Integer state;
    @JsonFormat(shape=JsonFormat.Shape.STRING, pattern= DateUtil.DATE_FULL_STR)
    private LocalDateTime createdAt;
    @JsonFormat(shape=JsonFormat.Shape.STRING, pattern= DateUtil.DATE_FULL_STR)
    private LocalDateTime updatedAt;
    @ApiModelProperty(position = 19, value = "第三方平台应用账号标识[64]")
    private String openid;
    @ApiModelProperty(position = 20, value = "第三方平台应用类型标识[64]")
    private String openType;

    private static final AdamThirdPartInfoVo obj = new AdamThirdPartInfoVo();

    public static AdamThirdPartInfoVo getNew() {
        try {
            return (AdamThirdPartInfoVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new AdamThirdPartInfoVo();
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public LocalDateTime getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(LocalDateTime createdAt) {
        this.createdAt = createdAt;
    }

    public LocalDateTime getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(LocalDateTime updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }
}
